View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013426ParaView(No Category)public2012-09-05 11:262015-01-11 08:31
ReporterKen Moreland 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformMacOSOS Version
Product Versiongit-master 
Target Version4.0Fixed in Version3.98.0 
Summary0013426: TextEdit boxes in Animation View get too small
DescriptionIf the Animation View window is not large enough, the TextEdit widgets for Time, Start Time, and End Time become so thin as to be unusable. Attached is a screen capture of these widgets from my Mac build when the Animation View is brought up with the default window layout.

So, the first part of the fix would be to set the minimum width of these boxes to be at least one character wide.

The second part of the fix would be to make a bit more room for these widgets. The No. Frames SpinBox is at least twice as wide as I imagine most applications will ever need. Also, the lock buttons could be changed to square tool buttons like that used for the "advanced" button in the Properties panel. That would serve the double purpose of making the widgets more narrow and to better indicate their toggle behavior.
TagsNo tags attached.
ProjectSandia
Topic Name13426_cleanup_animation_view_toolbar
Typeincorrect functionality
Attached Filespng file icon AnimationViewTop.png [^] (10,062 bytes) 2012-09-05 11:26

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0029433)
Utkarsh Ayachit (administrator)
2012-10-18 23:57

commit b36b7d180f51e23eb98473eb935368a76cc5b2f8
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Thu Oct 18 23:55:55 2012 -0400

    BUG 0013426. CLeaning up animation view header.
    
    1. Fixed minimum widths for all LineEdits.
    2. Changed No. Frames spin-box to line edit so it would take up less space.
    3. Converted buttons to tool-button
    4. Tweaked padding and spacing to better use available space.
    
    Change-Id: I8d2d8fccc3b7bdfc3f996dfbc2192574f50b74f6
(0029470)
Utkarsh Ayachit (administrator)
2012-10-22 10:51

merged into master, if applicable.
(0030044)
Alan Scott (manager)
2013-01-09 16:04

Looks good.

Tested remote server, Linux, master.

- Issue History
Date Modified Username Field Change
2012-09-05 11:26 Ken Moreland New Issue
2012-09-05 11:26 Ken Moreland File Added: AnimationViewTop.png
2012-09-05 11:27 Ken Moreland Platform => Mac
2012-10-09 09:27 Sebastien Jourdain Assigned To => Kyle Lutz
2012-10-18 14:05 Utkarsh Ayachit Target Version => 4.0
2012-10-18 23:57 Utkarsh Ayachit Topic Name => 13426_cleanup_animation_view_toolbar
2012-10-18 23:57 Utkarsh Ayachit Note Added: 0029433
2012-10-18 23:57 Utkarsh Ayachit Status backlog => gatekeeper review
2012-10-18 23:57 Utkarsh Ayachit Fixed in Version => git-next
2012-10-18 23:57 Utkarsh Ayachit Resolution open => fixed
2012-10-18 23:57 Utkarsh Ayachit Assigned To Kyle Lutz => Utkarsh Ayachit
2012-10-22 10:51 Utkarsh Ayachit Fixed in Version git-next => git-master
2012-10-22 10:51 Utkarsh Ayachit Status gatekeeper review => customer review
2012-10-22 10:51 Utkarsh Ayachit Note Added: 0029470
2012-10-29 17:04 Utkarsh Ayachit Fixed in Version git-master => 3.98.0
2013-01-08 21:22 Alan Scott Project TBD => Sandia
2013-01-09 16:04 Alan Scott Note Added: 0030044
2013-01-09 16:04 Alan Scott Status customer review => closed
2015-01-11 08:31 Utkarsh Ayachit Source_changeset_attached => ParaView master 889d06d8
2015-01-11 08:31 Utkarsh Ayachit Source_changeset_attached => ParaView master b36b7d18


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker